Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0022857
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Retail Modules] Web POSmajoralways2013-01-22 10:462013-04-03 12:55
ReporterjecharriView Statuspublic 
Assigned Tomarvintm 
PriorityhighResolutionfixedFixed in VersionRMP20
StatusclosedFix in branchFixed in SCM revision5d305c122bfc
ProjectionnoneETAnoneTarget VersionRMP20
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0022857: The option to invoice orders by default should be configurable

DescriptionThe option to invoice orders by default should be configurable.

Currently it is necessary to mark the menu option "Invoice this receipt" to invoice the order at the same time of creation.

The problem is when you are using credit, you need to mark all the orders as "Invoice this receipt" to update the BP credit, so it would nice if the user have the possibility to configure this option by default.
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0056516)
hgbot (developer)
2013-02-18 12:24

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 5d305c122bfc10d053b3bf69f42c938403615619
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Mon Feb 18 12:24:28 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/5d305c122bfc10d053b3bf69f42c938403615619 [^]

Fixed issue 22857. An option to configure if invoices should be automatically generated has been added.

---
M src-db/database/model/tables/OBPOS_TERMINALTYPE.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0056526)
hgbot (developer)
2013-02-18 16:18

Repository: erp/pmods/org.openbravo.retail.posterminal.layaways
Changeset: 5d305c122bfc10d053b3bf69f42c938403615619
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Mon Feb 18 12:24:28 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.layaways/rev/5d305c122bfc10d053b3bf69f42c938403615619 [^]

Fixed issue 22857. An option to configure if invoices should be automatically generated has been added.

---
M src-db/database/model/tables/OBPOS_TERMINALTYPE.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0056825)
guilleaer (developer)
2013-02-28 08:36

verified
(0057645)
hgbot (developer)
2013-04-02 20:07

Repository: erp/pmods/org.openbravo.retail.posterminal-core
Changeset: 5d305c122bfc10d053b3bf69f42c938403615619
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Mon Feb 18 12:24:28 2013 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/5d305c122bfc10d053b3bf69f42c938403615619 [^]

Fixed issue 22857. An option to configure if invoices should be automatically generated has been added.

---
M src-db/database/model/tables/OBPOS_TERMINALTYPE.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M web/org.openbravo.retail.posterminal/js/model/order.js
---

- Issue History
Date Modified Username Field Change
2013-01-22 10:46 jecharri New Issue
2013-01-22 10:46 jecharri Assigned To => marvintm
2013-02-18 12:24 hgbot Checkin
2013-02-18 12:24 hgbot Note Added: 0056516
2013-02-18 12:24 hgbot Status new => resolved
2013-02-18 12:24 hgbot Resolution open => fixed
2013-02-18 12:24 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/5d305c122bfc10d053b3bf69f42c938403615619 [^]
2013-02-18 16:18 hgbot Checkin
2013-02-18 16:18 hgbot Note Added: 0056526
2013-02-18 16:18 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/5d305c122bfc10d053b3bf69f42c938403615619 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.layaways/rev/5d305c122bfc10d053b3bf69f42c938403615619 [^]
2013-02-28 08:36 guilleaer Review Assigned To => guilleaer
2013-02-28 08:36 guilleaer Note Added: 0056825
2013-02-28 08:36 guilleaer Status resolved => closed
2013-02-28 08:36 guilleaer Fixed in Version => RMP20
2013-04-02 20:07 hgbot Checkin
2013-04-02 20:07 hgbot Note Added: 0057645
2013-04-02 20:07 hgbot Status closed => resolved
2013-04-02 20:07 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.layaways/rev/5d305c122bfc10d053b3bf69f42c938403615619 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-core/rev/5d305c122bfc10d053b3bf69f42c938403615619 [^]
2013-04-03 12:55 marvintm Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker